I'm using 2.6.21 that comes with Fedora 7...Trying to install latest stable version 2.6.25.4